<?php
include('../config/db.php');
	include('../config/conexion.php');
	include('../config/conexion2.php');
	
	$paginaActual = $_POST['partida'];

    $nroProductos = mysql_num_rows(mysql_query("SELECT * FROM despachos"));
    $nroLotes = 8;
    $nroPaginas = ceil($nroProductos/$nroLotes);
    $lista = '';
    $tabla = '';

    if($paginaActual > 1){
        $lista = $lista.'<li><a href="javascript:pagination('.($paginaActual-1).');">Anterior</a></li>';
    }
    for($i=1; $i<=$nroPaginas; $i++){
        if($i == $paginaActual){
            $lista = $lista.'<li class="active"><a href="javascript:pagination('.$i.');">'.$i.'</a></li>';
        }else{
            $lista = $lista.'<li><a href="javascript:pagination('.$i.');">'.$i.'</a></li>';
        }
    }
    if($paginaActual < $nroPaginas){
        $lista = $lista.'<li><a href="javascript:pagination('.($paginaActual+1).');">Siguiente</a></li>';
    }
  
  	if($paginaActual <= 1){
  		$limit = 0;
  	}else{
  		$limit = $nroLotes*($paginaActual-1);
  	}

  	$registro = mysql_query("SELECT * FROM despachos LIMIT $limit, $nroLotes ");


  	$tabla = $tabla.'<table class="table-responsive" align="center">
			  <table class="table">
              <tr  class="info">
			    <th>item</th>
			    <th>Fecha Despacho</th>
            	<th>Numero Factura</th>
                <th>Cliente o Responsable</th>
                <th>destino</th>
				        </tr>';
		$i=0;	
		
		
	while($registro2 = mysql_fetch_array($registro)){
		 
		
	$i=$i+1;
		
		$tabla = $tabla.'<tr>
				<td>'.$i.'</td>
		        <td>'.$registro2['fecha'].'</td>
				<td>'.$registro2['factura'].'</td>
				<td>'.$registro2['responsable'].'</td>
				<td>'.$registro2['destino'].'</td>
						  </tr>';		
	}
        

    $tabla = $tabla.'</table>';



    $array = array(0 => $tabla,
    			   1 => $lista);

    echo json_encode($array);
?>